Subject: Re:CCL:pdb compatibility

From: "Tamas E. Gunda" <[email-masked]>
Date: Mon, 9 Dec 2002 10:19:01 +0100

Hi,

I think the problem with heavy atoms in PDB files may lay in the
exact syntax and structure of PDB files. It it is not easy to
describe here, as most mailing programs cut long lines, but I give a
try.

According to PDB file rules, atom names occupy columns 13-16. If it
is an atom name, such as CA (C-alpha) in peptides, it must be in
pos. 14-15. If it is a heavy atom, it is left aligned, i.e. it occupies
pos. 13-14:

"_ CA_ " for C alpha,
"CA __ " for calcium (and other heavy atoms).

There are several programs, which do not take into account this
rule. To avoid this ambiguity in the new PDB version (>2) the
elemental symbols should be at the end of lines, cols. 77-78, but
again, some programs don't consider this.

But one more problem:
All coordinate lines should begin with the ATOM token, if the atom
is included in an "official" residue (such as GLY, ALA etc). In
these lines heavy atoms should occure In case of
"unofficial" residues or elements the lines should begin with
HETATM. Sometimes this also gets mixed, and then  it is difficult
for a program to find out that CD is a side chain carbon or cadmium.

So if heavy atoms are misinterpreted, it is advisable to check them
and correct manually, if necessary.

I have a small graphical representation of the different PDB file structures,
maybe it proves useful. See:

http://www.klte.hu/~gundat/m2m/PDB_file_small.gif

Tamas

----- Original Message -----
From: "Ioana Cozmuta" <[email-masked]>
To: "John Bushnell" <[email-masked]>
Cc: <[email-masked]>
Sent: Saturday, December 07, 2002 03:30
Subject: CCL:pdb compatibility

> Hi,
>
> THanks for your reply. I've already tried to use the protonate utility in
> amber by removing the hydrogens from the structure and letting the program
> add them back. The problem seems to be in the names of the heavy atoms,
> they seem to be incompatible as well.
>
> Ioana
>
>
> On Fri, 6 Dec 2002, John Bushnell wrote:
>
> >
> > For converting pdb files for input to Amber, use the 'protonate'
> > utility.  It's under Miscellaneous in the Amber 7 manual.  We
> > recently found that using this very simple translator got rid
> > of all sorts of problems reading Brookhaven pdb files.  I hope
> > it works for your InsightII files (which I have no experience
> > with).
> >
> >    HTH - John
> >
> > On Fri, 6 Dec 2002, Ioana Cozmuta wrote:
> >
> > >
> > > Hi,
> > >
> > > And a second question for today.
> > > I am generating a pdb file with InsightII (MSI software) and I am
trying
> > > to read it in amber (leap). However it seems that there is
> > > quite a difference between the ways InsightII writes a pdb file and
what
> > > amber knows to read. I am not sure but the main difference seems to be
> > > that InsightII is writing the pdb file using Brokhaven nomenclature
while
> > > amber needs the IUPAC names.
> > > I am sure this is a frequent encountered problem and that there should
be
> > > simple ways around. I tried to use babel and WHAT IF to correct for
the
> > > differences but both failed.
> > > I would appreciate your help.
> > >
> > > Thank you,
> > > Ioana